# EventObject

package | phing.system.lang

### Methods

## Constructs a prototypical Event.

    __construct( $source)

throws |

### Arguments

#### $source

``

## The object on which the Event initially occurred.

    getSource()

## Returns a String representation of this EventObject.

    toString()

### Properties

## The object on which the Event initially occurred.

    source :

### Type(s)

``